Companies
Delete a CRM Company
Delete a CRM company by ID and cascade its notes, activity logs, and relationships via the Zeeg CRM API. Permanent and irreversible.
DELETE
/
crm
/
companies
/
{id}
Delete a CRM company
curl --request DELETE \
--url https://api.zeeg.me/v2/crm/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/crm/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/crm/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Company deleted."
}{
"message": "Unauthenticated."
}{
"success": true,
"message": "<string>",
"status": 123
}{
"success": false,
"message": "Company not found.",
"status": 404
}Permanently deletes a CRM company record and all associated data (notes, activity logs, relationships).
This action is irreversible. All data stored on this company record will be permanently deleted.
Last modified on June 11, 2026
⌘I
Delete a CRM company
